JPEG Color Conversion
Color Model Conversion

## RGBToYCbCr_JPEG Planar to planar.

JPEG RGB to YCbCr color conversion.
NppStatus | nppiRGBToYCbCr420_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr420 color conversion. More...
NppStatus | nppiRGBToYCbCr420_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr422_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr422 color conversion. More...
NppStatus | nppiRGBToYCbCr422_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr411_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiRGBToYCbCr411_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr444_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr444 color conversion. More...
NppStatus | nppiRGBToYCbCr444_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr420_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr420 color conversion. More...
NppStatus | nppiBGRToYCbCr420_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr422_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr422 color conversion. More...
NppStatus | nppiBGRToYCbCr422_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr411_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiBGRToYCbCr411_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr444_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr444 color conversion. More...
NppStatus | nppiBGRToYCbCr444_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr420ToRGB_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr420ToRGB_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr422ToRGB_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr422ToRGB_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr411ToRGB_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr411ToRGB_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr444ToRGB_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr444ToRGB_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr420ToBGR_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar BGR color conversion. More...
NppStatus | nppiYCbCr420ToBGR_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr422ToBGR_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar BGR color conversion. More...
NppStatus | nppiYCbCr422ToBGR_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr411ToBGR_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar BGR color conversion. More...
NppStatus | nppiYCbCr411ToBGR_JPEG_8u_P3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr444ToBGR_JPEG_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned planar BGR color conversion. More...
NppStatus | nppiYCbCr444ToBGR_JPEG_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)

## RGBToYCbCr_JPEG Planar to packed.

JPEG RGB to YCbCr color conversion.
NppStatus | nppiRGBToYCbCr420_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr420 color conversion. More...
NppStatus | nppiRGBToYCbCr420_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr422_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr422 color conversion. More...
NppStatus | nppiRGBToYCbCr422_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr411_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiRGBToYCbCr411_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiRGBToYCbCr444_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr444 color conversion. More...
NppStatus | nppiRGBToYCbCr444_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr420_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr420 color conversion. More...
NppStatus | nppiBGRToYCbCr420_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr422_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr422 color conversion. More...
NppStatus | nppiBGRToYCbCr422_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr411_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr411 color conversion. More...
NppStatus | nppiBGRToYCbCr411_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int aDstStep[3], NppiSize oSizeROI)
NppStatus | nppiBGRToYCbCr444_JPEG_8u_C3P3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr444 color conversion. More...
NppStatus | nppiBGRToYCbCr444_JPEG_8u_C3P3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr420ToRGB_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed YCbCr420 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr420ToRGB_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr422ToRGB_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr422ToRGB_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr411ToRGB_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed YCbCr411 to 3 channel 8-bit unsigned planar RGB color conversion. More...
NppStatus | nppiYCbCr411ToRGB_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr444ToRGB_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned packed RGB color conversion. More...
NppStatus | nppiYCbCr444ToRGB_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr420ToBGR_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned packed BGR color conversion. More...
NppStatus | nppiYCbCr420ToBGR_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr422ToBGR_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned packed BGR color conversion. More...
NppStatus | nppiYCbCr422ToBGR_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr411ToBGR_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned packed BGR color conversion. More...
NppStatus | nppiYCbCr411ToBGR_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int aSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYCbCr444ToBGR_JPEG_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned packed BGR color conversion. More...
NppStatus | nppiYCbCr444ToBGR_JPEG_8u_P3C3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

## Function Documentation

NppStatus nppiBGRToYCbCr411_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr411_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr411_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr411_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr420_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr420_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr420 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr420_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr420_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr420 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr422_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr422_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr422 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr422_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr422_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr422 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr444_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr444_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed BGR to 3 channel 8-bit unsigned planar YCbCr444 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBGRToYCbCr444_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiBGRToYCbCr444_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar BGR to 3 channel 8-bit unsigned planar YCbCr444 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr411_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr411_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr411_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr411_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr411 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr420_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr420_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr420 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr420_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr420_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr420 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr422_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr422_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr422 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr422_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr422_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | aDstStep[3],
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr422 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  aDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr444_JPEG_8u_C3P3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr444_JPEG_8u_C3P3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to 3 channel 8-bit unsigned planar YCbCr444 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRGBToYCbCr444_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiRGBToYCbCr444_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar RGB to 3 channel 8-bit unsigned planar YCbCr444 color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToBGR_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr411ToBGR_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned packed BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToBGR_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr411ToBGR_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToRGB_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr411ToRGB_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed YCbCr411 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr411ToRGB_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr411ToRGB_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr411 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToBGR_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr420ToBGR_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned packed BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToBGR_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr420ToBGR_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToRGB_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr420ToRGB_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed YCbCr420 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr420ToRGB_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr420ToRGB_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToBGR_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr422ToBGR_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned packed BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToBGR_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr422ToBGR_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToRGB_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr422ToRGB_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed YCbCr422 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr422ToRGB_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr422ToRGB_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | aSrcStep[3],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr422 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  aSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr444ToBGR_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr444ToBGR_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned packed BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr444ToBGR_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr444ToBGR_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned planar BGR color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr444ToRGB_JPEG_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr444ToRGB_JPEG_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned packed RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYCbCr444ToRGB_JPEG_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYCbCr444ToRGB_JPEG_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr444 to 3 channel 8-bit unsigned planar RGB color conversion.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation